Page MenuHomePhabricator

Error text links on step Describe for the title input field do not open popups on middle-click / Ctrl-click etc.
Closed, ResolvedPublic

Description

Under the title field you get:
Please choose a different, descriptive title (more info). • Send feedback
Both (more info). • Send feedback
link to e.g. https://commons.wikimedia.org/w/index.php?title=Special:UploadWizard&campaign=kellergasse-at&uselang=en#

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptSep 24 2016, 9:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hi @Herzi.Pinki, thanks for taking the time to report this!

What exactly is broken?
What is shown, and what did you expect instead?

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 24 2016, 2:05 PM

What exactly is broken?
What is shown, and what did you expect instead?

which in both cases is the UW again, it does not give me more info nor can I send feedback through this url.

<li class="oo-ui-fieldLayout-messages-error mwe-upwiz-fieldLayout-error-mwe-upwiz-blacklisted-details-feedback"><span aria-disabled="false" class="oo-ui-widget oo-ui-widget-enabled oo-ui-iconElement oo-ui-iconElement-icon oo-ui-icon-alert oo-ui-flaggedElement-warning oo-ui-iconWidget oo-ui-image-warning"></span><span aria-disabled="false" class="oo-ui-widget oo-ui-widget-enabled oo-ui-labelElement oo-ui-labelElement-label oo-ui-labelWidget">Please choose a different, descriptive title (<a href="#">more info</a>). • <a href="#">Send feedback</a></span></li>

both links link to just # which is the top of the page (and thus, the UW itself)

see screenshot

Clicking those should display a pop-up dialog with the additional information (for the first link) or with a form to submit feedback (for the second). I recently took some screenshots of them for another discussion (https://commons.wikimedia.org/wiki/Commons:Village_pump#Disabling_Commons:Upload_Wizard_blacklist_issues):

Perhaps we should be using buttons and not links for these… This would be a bit difficult to change due to limitations of the JavaScript localisation framework we use.

matmarex, do not understand.
Your screenshots are the designed behaviour or the current behaviour? Only my problem or all others too?

I read the discussion on the feedback button, I'm totally fine with removing the feedback possibility.

About the more info link / button I think this is useful. But it should work. It can be the same content than the info-popup to the right, but at the moment the info-popup does not help to fix a filename that was rejected. It has to contain much more info to skip the link in the error case.
But as error and info are different stuff, you should preferably keep both.

To be clear: This was not a test with a silly filename. All my filenames look like this on the local disk and I do the renaming only when uploading.

The screenshots are of the current behavior. (The text in the first dialog may differ depending on which blacklist rule you hit.)

Both the title blacklist rules and the messages shown for them are maintained on-wiki by the Commons community, see https://commons.wikimedia.org/wiki/MediaWiki_talk:Titleblacklist. UploadWizard just tests again the rules defined there, and displays the appropriate message.

I'm not talking about why there is an error message and what triggers the error message, it is valuable restriction to not allow any junk filename.

No, I'm talking about the error message itself (Please choose a different, descriptive title (more info). • Send feedback), which contains dangling links. The html code for the first link is

(<a href="#">more info</a>)

I know the rules for filenames quite well and have no problem with the restriction, but if I would have been a newby getting this message and would click on the more info link / button, I will not get what I expect. In my screenshot above, it is only the third line, that is the problem.

In my case your screenshots @matmarex are not the current behaviour. The current behaviour in my environment is that both links just call the UW again with same parameters. I found the text, it should be here: https://commons.wikimedia.org/wiki/MediaWiki:Titleblacklist-custom-filename/de ; but it is not shown. when following the link.

I'm using FF 48 on Mac OS X 10.6.8

off topics: in particular love this solution: https://commons.wikimedia.org/wiki/File:Please_choose_a_different,_descriptive_title.jpg

Herzi.Pinki renamed this task from Help text links on step Describe for the title input field are broken to Error text links on step Describe for the title input field are broken.Sep 24 2016, 6:51 PM

@Herzi.Pinki Okay, sorry for misunderstanding. The popups definitely work for me, though (I just verified this again using Firefox 50 on Windows 10, after changing my language in preferences to German).

(Note that this only works if you make a normal click on the links, Ctrl-clicking or middle-clicking to open them in a new browser tab will not work :( – we should probably prevent this from opening another copy of UploadWizard…)

There might be a bug which causes them not to appear sometimes, or it might be something specific to your system. Are you able to see any other popups of this kind? For example, they are used in UploadWizard for custom license preview, or when attempting to upload a file with no categories:

Do you get any error messages in the browser console? (Or, just try again and tell me at what time you tried, so that I can look them up in our error logging system.)

Matmarex, sorry for being such an idiot. grmmmmm. Of course I tried to open it in another tab. It works like a charm on left click.

From the early days I learned that when filling in a form, I might loose all the stuff entered so far, when I open another page in the same tab. So I automatically and always (see my stubborn behaviour above) do this in an extra tab. Without exception. By genetic disposition, if you want.

Have no idea how the user guidance can be improved for such popups.

You can close the case. Shame on me. :-)

Haha, whoops. You make a fair point though, these look like links (even though they really aren't) and users are likely to try to open them in a new tab. In the long term we should probably try to change them to look like buttons (but I think this is going to be complicated for boring internal reasons). In the short term I think it'll be easy to make the popup still appear on middle-click etc. (and to make a new tab not open).

matmarex renamed this task from Error text links on step Describe for the title input field are broken to Error text links on step Describe for the title input field do not open popups on middle-click / Ctrl-click etc..Sep 26 2016, 7:43 PM

Change 312899 had a related patch set uploaded (by Bartosz Dziewoński):
mw.jqueryMsg: Prevent middle-clicking fake links with custom handlers

https://gerrit.wikimedia.org/r/312899

matmarex claimed this task.Sep 26 2016, 8:34 PM
matmarex triaged this task as Normal priority.
matmarex added a project: MediaWiki-General.

Change 312899 abandoned by Bartosz Dziewoński:
mw.jqueryMsg: Prevent middle-clicking fake links with custom handlers

Reason:
https://gerrit.wikimedia.org/r/139795 is better.

https://gerrit.wikimedia.org/r/312899

matmarex closed this task as Resolved.Oct 11 2016, 4:08 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: Fomafix.

Resolved by @Fomafix's change https://gerrit.wikimedia.org/r/139795, which I now merged. Middle-clicking should now do nothing, Shift-left-clicking should open the popup same as left-clicking. (This is not live on Commons yet, but it should be deployed this Wednesday per https://www.mediawiki.org/wiki/MediaWiki_1.28/Roadmap.)